rem INSTMUS.bat - Install musixtex in Windows XP, Vista, or 7.
rem
call SETMAPS.bat
rem
rem Get MiKTeX path
call SEARCHMIKTEX.bat
rem
rem Install common musixtex files (except executables and batch files)
rem
SET MUSIXTEXDIR="%DOWNLOAD%\MUSIXTEXdistribution"
echo ======= >> %LOG%
echo INSTMUS >> %LOG%
echo The musixtexdistribution was put here: >> %LOG%
echo %MUSIXTEXDIR% >> %LOG%
xcopy %MUSIXTEXDIR%\fonts\mf\*.mf "%ROOT%"\fonts\source\public\musixtex\
echo copy *.mf to ROOT >> %LOG%
xcopy %MUSIXTEXDIR%\fonts\tfm\*.tfm "%ROOT%"\fonts\tfm\public\musixtex\
echo copy *.tfm to ROOT >> %LOG%
xcopy %MUSIXTEXDIR%\tex\* "%ROOT%"\tex\generic\musixtex\
echo copy tex\* to ROOT >> %LOG%
xcopy %MUSIXTEXDIR%\musixtexadd\*.tex "%ROOT%"\tex\generic\musixtex\
echo copy musixtexadd\* to ROOT >> %LOG%
rem
xcopy %MIKTEXDIR%\dvipdfm\config\config "%ROOT%"\dvipdfm\config\
echo copy config (divpdfm) to ROOT >> %LOG%
xcopy %MUSIXTEXDIR%\dvipdfm\musix.map "%ROOT%"\dvipdfm\config\
echo copy musix.map (dvipdfm) to ROOT >> %LOG%
echo f musix.map >> "%ROOT%"\dvipdfm\config\config
echo add line "f musix.map" to config file (dvipdfm) >> %LOG%
rem
xcopy %MIKTEXDIR%\dvips\config\config.ps "%ROOT%"\dvips\config\
echo copy config.ps to ROOT >> %LOG%
xcopy %MUSIXTEXDIR%\dvips\musix.map "%ROOT%"\dvips\config\
echo copy musix.map to ROOT (dvips) >> %LOG%
echo p +musix.map >> "%ROOT%"\dvips\config\config.ps
echo add line "f +musix.map" to config.ps file >> %LOG%
rem
xcopy %MIKTEXDIR%\dvips\tetex\config.pdf "%ROOT%"\dvips\tetex\
echo copy config.pdf to ROOT >> %LOG%
echo p +musix.map >> "%ROOT%"\dvips\tetex\config.pdf
echo add line "f +musix.map" to config.pdf file >> %LOG%
rem
xcopy %MUSIXTEXDIR%\dvips\psslurs.pro "%ROOT%"\dvips\base\
echo copy psslurs.pro to ROOT >> %LOG%
rem
rem postscript fonts for musixtex are not embedded in MiKTeX
xcopy %MUSIXTEXDIR%\fonts\type1\*.pfb "%ROOT%"\fonts\type1\public\musixps\type1\
echo copy *.pfb to ROOT >> %LOG%
rem
rem Install MusiXTeX executables and batch files:
rem
xcopy %MUSIXTEXDIR%\bin\*.* "%TOOLS%"
echo copy the "bin" folder to TOOLS >> %LOG%
rem
rem copy gsview and gswin32c into TOOLS
call SEARCHGS.bat
rem
rem add ROOT to "MikTeX Options" tab "Roots" by hand
echo
echo ============================================
echo Add "%ROOT%"
echo   under "MikTeX Options" tab "Roots".
echo You may copy and paste the path from the instmus.log file,
echo   or from above. 
echo Then run FNDB.
echo ============================================
echo ============================================ >> %LOG%
echo add "%ROOT%" to "MikTeX Options" tab "Roots" >> %LOG%
echo then run FNDB >> %LOG%
echo ============================================ >> %LOG%
mo.exe
pause
